import React, { Component } from 'react';
import 'whatwg-fetch';

class App extends Component {
  constructor(props) {
    super(props);
    
    this.state = {
      tools: []
    }
  }    
  
  componentWillMount() {
    fetch('/tools')
      .then(response => response.json())
      .then(tools => this.setState({
        tools: tools
      }));
  }

  render() {
    return (
      <div>
      <span>Number of Tools: { this.state.tools.length }</span>
      <table>             
        <thead>
          <tr><th>Name</th></tr>
          {
            this.state.tools.map((tool, index) =>
              <tr key={index}><td> { tool.name} </td></tr>
            )          
          }
          </thead>
      </table>
      </div>
    );
  }
}
                   
export default App;