import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';
import { RouterModule } from '@angular/router';
import { NgModule } from '@angular/core';
import { ToolsComponent } from './tools/tools-component';
import { ToolsService } from './tools/tools-service';

@NgModule({
  imports: [
    BrowserModule,
    FormsModule,
    HttpModule
  ],
  declarations: [ ToolsComponent ],
  providers: [ ToolsService ],
  bootstrap: [ ToolsComponent ],
})
export class AppModule {}
