import { Component, Inject } from '@angular/core';
import { ToolsService } from './tools-service';

@Component({
  selector: 'contents',
  templateUrl: './tools-component.html'
})
export class ToolsComponent {
  constructor(@Inject(ToolsService) service ) {
    this.service = service;
    this.tools = [];
  }
  
  getTools() {
    this.service.get()
      .then(tools => this.tools = tools);
  }       
  
  ngOnInit() {
    this.getTools();
  }
}
